> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Fetch multiple EOR Contract forms

POST https://api.letsdeel.com/rest/forms/eor/create-contract/definitions
Content-Type: application/json

Retrieves paginated, versioned form definitions for creating EOR contracts across one or more specified countries. Always use the latest effective version from the response and handle pagination; this endpoint is not intended for reading or updating existing contracts.

 **Token scopes**: `forms:read`

Reference: https://developer.deel.com/api/reference/endpoints/forms/fetch-multiple-eor-contract-forms-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `limit` (integer, optional, default: 10) — Maximum number of countries to return in a single response. Defaults to 10.
- `cursor` (string, optional) — Pagination cursor for fetching subsequent pages of results.

### Body (application/json)

This endpoint expects an object.

- `data` (FormsEorCreateContractDefinitionsPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Successful response containing multiple form configuration data.

- `data` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItems, required) — Array of quote forms for the requested countries.
- `has_more` (boolean, required) — Indicates if there are more results available beyond the current page.
- `total_count` (integer, required) — Total number of countries in the request.
- `next_cursor` (string, optional, nullable) — Cursor for fetching the next page of results. Null if no more results.

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### FormsEorCreateContractDefinitionsPostRequestBodyContentApplicationJsonSchemaData

- `countries` (list of FormsEorCreateContractDefinitionsPostRequestBodyContentApplicationJsonSchemaDataCountriesItems, required) — Array of countries for which to fetch quote forms. Maximum 10 countries per request.
- `start_date` (string, optional) — The selected start date of the contract in ISO 8601 formatted date string.
- `work_hours_per_week` (integer, optional) — The selected number of work hours per week.
- `contract_duration_in_days` (integer, optional) — The contract duration in days for definite contracts.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItems

- `pages` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItems, required) — List of pages in the form.
- `country` (string, required) — Two-letter country code in ISO 3166-1 alpha-2 format
- `state` (string, optional, nullable) — State or province code if applicable

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### FormsEorCreateContractDefinitionsPostRequestBodyContentApplicationJsonSchemaDataCountriesItems

- `country_code` (string, required) — Two-letter country code in ISO 3166-1 alpha-2 format
- `state` (string, optional) — The selected state code of the contract. This is only required for countries that specify it.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItems

- `title` (string, required) — Title of the form page.
- `sections` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItems, required) — Sections within the page.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItems

- `title` (string, required) — Title of the section.
- `questions` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItems, required) — List of questions within the section.
- `subtitle` (string, optional) — Additional information shown at the top of the section.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItems

- `key` (string, required) — Unique key identifier for the question.
- `type` (enum, required) — Type of the question.
  - Allowed values: `FreeText`, `Paragraph`, `SingleSelection`, `MultiSelection`, `Address`, `PhoneNumber`, `DocumentUpload`, `Number`, `Dropdown`, `DatePicker`, `Email`
- `title` (string, required) — Title of the question.
- `rules` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItems, optional, nullable) — Validation rules for the question.
- `source` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsSource, optional, nullable) — Defines dynamic data source for the question.
- `options` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsOptionsItems, optional, nullable) — List of selectable options for selection-type questions. Value may be of any type.
- `is_range` (boolean, optional) — Specifies whether a date picker allows range selection.
- `max_value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsMaxValue, optional) — Maximum value allowed.
- `min_value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsMinValue, optional) — Minimum value allowed.
- `max_length` (integer, optional, nullable) — Maximum character length for text responses.
- `min_length` (integer, optional, nullable) — Minimum character length for text responses.
- `helper_text` (string, optional, nullable) — Additional information to assist the user.
- `is_disabled` (boolean, optional) — If true, the field is disabled and cannot be edited.
- `is_required` (boolean, optional) — Indicates if the question is required.
- `number_type` (string, optional) — Used for number fields to define the unit or representation.
- `default_value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsDefaultValue, optional) — Default value to pre-fill in the form.
- `is_only_digits` (boolean, optional) — Restricts input to numeric characters only, for FreeText questions.
- `date_limitation` (string, optional, nullable) — Limits date selection (e.g., blocking past dates). Will always be 'BLOCK_PAST' for now.
- `is_multiple_selection` (boolean, optional) — Indicates if the user can select multiple values.
- `must_request_validation` (boolean, optional) — Whether additional validation should be triggered for this field.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItems

- `title` (string, optional) — Title of the question.
- `source` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsSource, optional, nullable) — Defines dynamic data source for the question.
- `options` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsOptionsItems, optional, nullable) — List of selectable options for selection-type questions. Value may be of any type.
- `is_range` (boolean, optional) — Specifies whether a date picker allows range selection.
- `requires` (list of FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsRequiresItems, optional) — List of conditions that must be met for this rule to apply.
- `max_value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsMaxValue, optional) — Maximum value allowed.
- `min_value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsMinValue, optional) — Minimum value allowed.
- `max_length` (integer, optional, nullable) — Maximum character length for text responses.
- `min_length` (integer, optional, nullable) — Minimum character length for text responses.
- `helper_text` (string, optional, nullable) — Additional information to assist the user.
- `is_disabled` (boolean, optional) — If true, the field is disabled and cannot be edited.
- `is_required` (boolean, optional) — Indicates if the question is required.
- `number_type` (string, optional) — Used for number fields to define the unit or representation.
- `default_value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsDefaultValue, optional) — Default value to pre-fill in the form.
- `is_only_digits` (boolean, optional) — Restricts input to numeric characters only, for FreeText questions.
- `date_limitation` (string, optional, nullable) — Limits date selection (e.g., blocking past dates). Will always be 'BLOCK_PAST' for now.
- `is_multiple_selection` (boolean, optional) — Indicates if the user can select multiple values.
- `must_request_validation` (boolean, optional) — Whether additional validation should be triggered for this field.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsSource

Defines dynamic data source for the question.

- `url` (string, optional) — API endpoint providing dynamic options.
- `definition` (string, optional) — Reference URL for API documentation.
- `description` (string, optional) — Description of the data source.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsOptionsItems

- `title` (string, optional) — Display text for the option.
- `value` (string, optional, nullable) — Value associated with the option.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsMaxValue

Maximum value allowed.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsMinValue

Minimum value allowed.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsDefaultValue

Default value to pre-fill in the form.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsSource

Defines dynamic data source for the question.

- `url` (string, optional) — API endpoint providing dynamic options.
- `definition` (string, optional) — Reference URL for API documentation.
- `description` (string, optional) — Description of the data source.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsOptionsItems

- `title` (string, optional) — Display text for the option.
- `value` (string, optional, nullable) — Value associated with the option.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsRequiresItems

- `key` (string, optional) — Key of the dependent field.
- `value` (FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsRequiresItemsValue, optional) — Expected value for the condition.
- `operator` (string, optional, nullable) — Comparison operator (e.g., 'eq', 'ne').
- `compare_key` (string, optional, nullable) — Key of the field to compare against.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsMaxValue

Maximum value allowed.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsMinValue

Minimum value allowed.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsDefaultValue

Default value to pre-fill in the form.

### FormsEorCreateContractDefinitionsPostResponsesContentApplicationJsonSchemaDataItemsPagesItemsSectionsItemsQuestionsItemsRulesItemsRequiresItemsValue

Expected value for the condition.

## Examples

**Request**

```json
{
  "data": {
    "countries": [
      {
        "country_code": "US",
        "state": "CA"
      },
      {
        "country_code": "BR"
      }
    ]
  }
}
```

**Response**

```json
{
  "data": [
    {
      "pages": [
        {
          "title": "Personal Details",
          "sections": [
            {
              "title": "Team information",
              "questions": [
                {
                  "key": "client.legal_entity.id",
                  "type": "Dropdown",
                  "title": "Legal entity ID",
                  "rules": [
                    {
                      "title": "Legal entity ID",
                      "source": {
                        "url": "/rest/v2/legal-entities",
                        "definition": "https://developer.deel.com/reference/getlegalentitylist",
                        "description": "Available legal entities for selection must be dynamically fetched"
                      },
                      "options": [
                        {
                          "title": "Yes",
                          "value": "true"
                        },
                        {
                          "title": "No",
                          "value": "false"
                        }
                      ],
                      "is_range": false,
                      "requires": [
                        {
                          "key": "employee.nationality",
                          "value": true,
                          "operator": "ne",
                          "compare_key": "employment.country"
                        }
                      ],
                      "max_value": 180,
                      "min_value": 0,
                      "max_length": 255,
                      "min_length": 1,
                      "helper_text": "Please select the appropriate legal entity.",
                      "is_disabled": false,
                      "is_required": true,
                      "number_type": "CURRENCY",
                      "default_value": 40,
                      "is_only_digits": false,
                      "date_limitation": "BLOCK_PAST",
                      "is_multiple_selection": false,
                      "must_request_validation": true
                    }
                  ],
                  "source": {
                    "url": "/rest/v2/legal-entities",
                    "definition": "https://developer.deel.com/reference/getlegalentitylist",
                    "description": "Available legal entities for selection must be dynamically fetched"
                  },
                  "options": [
                    {
                      "title": "Yes",
                      "value": "true"
                    },
                    {
                      "title": "No",
                      "value": "false"
                    }
                  ],
                  "is_range": false,
                  "max_value": 180,
                  "min_value": 0,
                  "max_length": 255,
                  "min_length": 1,
                  "helper_text": "Please select the appropriate legal entity.",
                  "is_disabled": false,
                  "is_required": true,
                  "number_type": "CURRENCY",
                  "default_value": 40,
                  "is_only_digits": false,
                  "date_limitation": "BLOCK_PAST",
                  "is_multiple_selection": false,
                  "must_request_validation": true
                }
              ],
              "subtitle": "Information about the team"
            }
          ]
        }
      ],
      "country": "US",
      "state": "CA"
    }
  ],
  "has_more": true,
  "total_count": 25,
  "next_cursor": "eyJvZmZzZXQiOjEwfQ=="
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/forms/eor/create-contract/definitions"

querystring = {"cursor":"eyJvZmZzZXQiOjEwfQ==","limit":"5"}

payload = { "data": { "countries": [{
                "country_code": "US",
                "state": "CA"
            }, { "country_code": "BR" }] } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"countries":[{"country_code":"US","state":"CA"},{"country_code":"BR"}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5"

	payload := strings.NewReader("{\n  \"data\": {\n    \"countries\": [\n      {\n        \"country_code\": \"US\",\n        \"state\": \"CA\"\n      },\n      {\n        \"country_code\": \"BR\"\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"countries\": [\n      {\n        \"country_code\": \"US\",\n        \"state\": \"CA\"\n      },\n      {\n        \"country_code\": \"BR\"\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"countries\": [\n      {\n        \"country_code\": \"US\",\n        \"state\": \"CA\"\n      },\n      {\n        \"country_code\": \"BR\"\n      }\n    ]\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5', [
  'body' => '{
  "data": {
    "countries": [
      {
        "country_code": "US",
        "state": "CA"
      },
      {
        "country_code": "BR"
      }
    ]
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"countries\": [\n      {\n        \"country_code\": \"US\",\n        \"state\": \"CA\"\n      },\n      {\n        \"country_code\": \"BR\"\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["countries": [[
        "country_code": "US",
        "state": "CA"
      ], ["country_code": "BR"]]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/forms/eor/create-contract/definitions?cursor=eyJvZmZzZXQiOjEwfQ%3D%3D&limit=5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```